package com.bocloud.cmp.provider.nsx;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.nsx.NsxLbServiceModel;

/**
 * nsx负载均衡器
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年3月26日
 */
public interface LbServiceProvider extends SuperProvider {
    BocloudResult list();

    BocloudResult create(NsxLbServiceModel model);

    BocloudResult remove(String lbServiceId);

    BocloudResult detail(String lbServiceId);

    BocloudResult update(NsxLbServiceModel model);
}
